<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '44':{
$cliente=$_GET['cliente'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_cliente` = $cliente";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
		$id_proyectos =  $datosbanner[$x]['id_proyectos'];
		$id_cliente =  $datosbanner[$x]['id_cliente'];
		$nombre =  $datosbanner[$x]['nombre'];
		$fecha =  $datosbanner[$x]['fecha'];

		$resp.=<<<jjj
$id_proyectos * $nombre -
jjj;
	}
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;

case '59':{
$proyecto=$_GET['id_proyectos'];
$kuery ="SELECT * FROM cotiza WHERE id_proyectos = '$proyecto' AND estado = '1'";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery);
for($x=0; $x < count($resultado); $x++){
    $id_cotiza = $resultado[$x][id_cotiza];
    
$resp.=<<<jjj
$id_cotiza *
jjj;
}
$contenido = $resp;
}break;
        
case '60':{
$proyecto=$_GET['id_proyectos'];
    
$kuery1 = "SELECT SUM(ingresostotales) AS total FROM `cc_pres` INNER JOIN proyectos ON cc_pres.id_cc=proyectos.cc where proyectos.id_proyectos='$proyecto'";   
$objeto1= new db();
$resultado1=$objeto1->consultaregistros($kuery1);
$total_ingresos = number_format((float)$resultado1[0]['total'], 2, '.', '');
$objeto2= new db();
$resultado2=$objeto2->updateGen('ingresos_presupuestados', 'total_proyectado', $total_ingresos, 'id_proyecto', $proyecto);

$kuery ="SELECT * FROM ingresos_presupuestados WHERE id_proyecto = '$proyecto'";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery); 
if($resultado!=null){
    $id_ingreso =  $resultado[0]['id_ingreso'];
    $total_proyectado =  $resultado[0]['total_proyectado'];
    $porcentaje_ocupado =  $resultado[0]['porcentaje_ocupado'];
    $total_meses =  $resultado[0]['total_meses'];
    $tabla_ingresos =  $resultado[0]['tabla_ingresos'];

    $resp.=<<<jjj
    $id_ingreso*$total_proyectado * $porcentaje_ocupado * $total_meses * $tabla_ingresos
jjj;
}else{
    $resp=$total_ingresos;
}
$contenido = $resp;
}break;
        
        
case '61':{
$presupuestos=$_GET['id_cotiza'];
$kuery ="SELECT * FROM cotiza_etapas WHERE id_cotiza in ($presupuestos)";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
for($x=0; $x < count($resultado); $x++){
    $fecha_inicial =  $resultado[$x]['etapafi'];
    $fecha_final =  $resultado[$x]['etapaff'];

    $resp.=<<<jjj
$fecha_inicial * $fecha_final _
jjj;
}
    
$contenido = $resp;
}break;

case '62':{
$proyecto=$_GET['id_proyecto'];
$kuery ="SELECT * FROM ingresos_presupuestados WHERE id_proyecto = '$proyecto'";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
$total_proyectado =  $resultado[0]['total_proyectado'];
$porcentaje_ocupado =  $resultado[0]['porcentaje_ocupado'];
$total_meses =  $resultado[0]['total_meses'];
$tabla_ingresos =  $resultado[0]['tabla_ingresos'];

$resp.=<<<jjj
$total_proyectado ¿ $porcentaje_ocupado ¿ $total_meses ¿ $tabla_ingresos
jjj;
	
$contenido = $resp;
}break;


case '63':{
$id_ingreso=$_GET['idingreso'];
$sArray=$_GET['sArray'];
$objeto= new db();
$resultado=$objeto->updateGen('ingresos_presupuestados', 'id_cliente', $sArray[1], 'id_ingreso', $id_ingreso);
$resultado=$objeto->updateGen('ingresos_presupuestados', 'id_proyecto', $sArray[2], 'id_ingreso', $id_ingreso);
$resultado=$objeto->updateGen('ingresos_presupuestados', 'total_proyectado', $sArray[3], 'id_ingreso', $id_ingreso);
$resultado=$objeto->updateGen('ingresos_presupuestados', 'porcentaje_ocupado', $sArray[4], 'id_ingreso', $id_ingreso);
$resultado=$objeto->updateGen('ingresos_presupuestados', 'total_meses', $sArray[5], 'id_ingreso', $id_ingreso);
$resultado=$objeto->updateGen('ingresos_presupuestados', 'tabla_ingresos', $sArray[6], 'id_ingreso', $id_ingreso);

$contenido=$resultado;    
}break;
        
case '64':{
$tabla = $_GET['tabla'];
$sArray = $_GET['sArray'];
$objeto= new db();
$valores = "'',".$sArray[1].",".$sArray[2].",".$sArray[3].",".$sArray[4].",".$sArray[5].",'".$sArray[6]."'";
$resultado=$objeto->insertGen($valores, $tabla);
$contenido=$resultado;    
}break;

}

echo $contenido;

?>
